Skip to main content
POST
/
stores
/
{storeId}
/
returns
/
bulk
Import Returns
curl --request POST \
  --url https://api.getredo.com/v2.2/stores/{storeId}/returns/bulk \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "returns": [
    {
      "products": [
        {
          "externalId": "<string>",
          "quantity": 2,
          "provider": "shopify",
          "sku": "<string>",
          "barcode": "<string>",
          "productTitle": "<string>",
          "variantTitle": "<string>",
          "reason": "<string>",
          "condition": "<string>"
        }
      ],
      "customer": {
        "firstName": "<string>",
        "lastName": "<string>",
        "email": "jsmith@example.com"
      },
      "externalReferenceId": "<string>",
      "trackingNumber": "<string>",
      "carrier": "<string>",
      "notes": "<string>",
      "idempotencyKey": "<string>",
      "currency": "<string>"
    }
  ]
}
'
{
  "totalCount": 123,
  "processedCount": 123,
  "errorCount": 123,
  "results": [
    {
      "status": "created",
      "index": 123,
      "returnId": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

storeId
string
required

Store ID

Example:

"64e5a8a1af49a89df37e4ee7"

Body

application/json

Import returns request body.

returns
object[]
required

Array of returns to import (max 100).

Required array length: 1 - 100 elements

Response

Batch processed. Check individual results for per-item status. Some items may have succeeded while others failed.

Bulk external return creation response.

totalCount
integer
required

Total number of returns in the request.

processedCount
integer
required

Number of returns successfully created.

errorCount
integer
required

Number of returns that failed.

results
object[]
required

Per-item results in the same order as the request.